{% extends "base.html"%}

{% block title %}Update Task{% endblock %}

{% block content %}
    {%  if user.is_anonymous == False %}
        <div class="container">
            <div class="row">
                <div class="col-6 offset-3">
                    <h1 class="text-center mt-3">Update Profile</h1>

                    {% if error == True %}
                        <p class="text-center text-danger">Error Please Try Again!</p>
                    {% endif %}
                    <form action="{% url 'todolist:update_profile' %}" method="POST">
                        
                        {% csrf_token %}

                        <div class="mb-3">
                            <label for="first_name">First Name: </label>
                            <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="50" required>
                        </div>

                        <div class="mb-3">
                            <label for="last_name">Last Name: </label>
                            <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="50" required>
                        </div>

                        <div class="mb-3">
                            <label for="password">Password: </label>
                            <input class="form-control" id="password" type="password" name="password" value="{{ password }}" maxlength="20" required>
                        </div>

                        <div class="text-center">
                            <input class="btn btn-success" type="submit" value="Update Profile">
                        </div>

                    </form>

                </div>
            </div>
        </div>
    {% endif %}    
{% endblock %}